System Requirements

Before installing Snapshot driver for Linux, ensure that your computer meets the following minimum software and hardware requirements, and prerequisites.

Supported Linux Distributions

This beta version of Snapshot Driver for Linux has been tested for the following Linux distributions:

  • Debian 9.2.1
  • Debian 9.8
  • OpenSUSE 15 GPT
  • Ubuntu 16
  • Ubuntu 17
  • Ubuntu 18
  • CentOS 6.10
  • CentOS 7.6
  • Fedora 29

These distributions have been tested for real use cases. However, the current beta release works with the most of the recent releases of Debian and RHEL based distributions.

Hardware Requirements

  • Only partitions with EXT4 file system are supported
  • At least 2 GB of RAM

Software Requirements

  • Linux kernel versions 3.x or 4.x
  • gcc compiler
  • make utility
  • libelf library for operations with ELF (executable and Linkable) files
  • Linux kernel development headers